var noteTemplate = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        noteTemplate.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        var dataList = jQ('#noteTemplate-datalist').DataTable({
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': noteTemplate.settings.ajaxUrl,
                'data': function(d) {
                    d.url = global.settings.url;
                }
            },
            'deferRender': true,
            'columnDefs': [
                { 'orderable': false, 'targets': 1 },
                { 'searchable': false, 'targets': 1 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    }
};